{
  "codeName" : "Main",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student/PSFORMS/Main.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "主编辑表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Student.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "form_button1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "form_button1"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "form_button1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Refresh"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "name",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "NAME",
      "codeName" : "Name"
    }
  }, {
    "id" : "age",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "AGE",
      "codeName" : "Age"
    }
  }, {
    "id" : "rank",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "RANK",
      "codeName" : "Rank"
    }
  }, {
    "id" : "pstudentid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PSTUDENTID",
      "codeName" : "Pstudentid"
    }
  }, {
    "id" : "studentname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTNAME",
      "codeName" : "StudentName"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "studentid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "STUDENTID",
      "codeName" : "StudentId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "学生基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "caption" : "姓名",
        "codeName" : "name",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "name",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "NAME",
          "codeName" : "Name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "name"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "年龄",
        "codeName" : "age",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 100,
        "name" : "age",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AGE",
          "codeName" : "Age"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "age"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "职级",
        "codeName" : "rank",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "rank",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "RANK",
          "codeName" : "Rank"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "rank",
          "getPSEditorItems" : [ {
            "name" : "pstudentid"
          } ],
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/studentPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "pstudentid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "pstudentid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "上级学生职位",
        "codeName" : "pstudentid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "pstudentid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PSTUDENTID",
          "codeName" : "Pstudentid"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "pstudentid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "codeName" : "druipart1",
      "contentHeight" : 500.0,
      "contentWidth" : 1000.0,
      "detailStyle" : "DEFAULT",
      "detailType" : "DRUIPART",
      "height" : 500.0,
      "name" : "druipart1",
      "getPSAppView" : {
        "accUserMode" : 2,
        "caption" : "学员登记信息",
        "codeName" : "ReginfoGridView",
        "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoGridView.json",
        "funcViewMode" : "MDATAVIEW",
        "gridRowActiveMode" : 2,
        "memo" : "系统自动添加",
        "name" : "ReginfoGridView",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
        },
        "getPSAppModule" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/TemplatePublish/PSAPPMODULES/common.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "GridView",
          "name" : "engine",
          "getPSUIEngineParams" : [ {
            "appViewLogicName" : "opendata",
            "name" : "OPENDATA",
            "paramType" : "LOGIC"
          }, {
            "appViewLogicName" : "newdata",
            "name" : "NEWDATA",
            "paramType" : "LOGIC"
          }, {
            "ctrlName" : "grid",
            "name" : "GRID",
            "paramType" : "CTRL"
          }, {
            "ctrlName" : "searchform",
            "name" : "SEARCHFORM",
            "paramType" : "CTRL"
          } ]
        } ],
        "getPSAppViewLogics" : [ {
          "eventArg" : "tbitem3",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem3_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem3"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem4",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem4_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem4"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem5",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem5_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem5"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem6",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem6_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem6"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem24",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem24_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem24"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem25",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem25_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem25"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem8",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem8_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem8"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem13",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem13_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem13"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem11",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem11_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem11"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem21",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem21_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem21"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem23",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem23_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem23"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem19",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem19_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem19"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem18",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem18_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem18"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "deuiaction1",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_deuiaction1_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction1"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "deuiaction2",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_deuiaction2_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction2"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "SYSUILOGIC",
          "name" : "newdata",
          "getPSAppUILogic" : {
            "actionAfterWizard" : "DEFAULT",
            "logicType" : "PREDEFINED",
            "name" : "新建数据",
            "getNewDataPSAppView" : {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_NEWDATA",
            "batchAddOnly" : false,
            "enableBatchAdd" : false,
            "enableWizardAdd" : false
          }
        }, {
          "logicTrigger" : "CUSTOM",
          "logicType" : "SYSUILOGIC",
          "name" : "opendata",
          "getPSAppUILogic" : {
            "logicType" : "PREDEFINED",
            "name" : "打开数据",
            "getOpenDataPSAppView" : {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            },
            "getPSAppUILogicRefViews" : [ {
              "getRefPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
                "viewType" : "DEEDITVIEW"
              }
            } ],
            "viewLogicType" : "APP_OPENDATA",
            "editMode" : true
          }
        } ],
        "getPSAppViewNavContexts" : [ {
          "key" : "ABC",
          "name" : "ABC",
          "value" : "CONTEXTPARAM2",
          "rawValue" : false
        } ],
        "getPSAppViewNavParams" : [ {
          "key" : "qwe",
          "name" : "qwe",
          "value" : "param1",
          "rawValue" : true
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "NEWDATA",
          "realTitle" : "学员登记抬头",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        }, {
          "name" : "EDITDATA",
          "realTitle" : "学员登记抬头",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "getPSAppViewUIActions" : [ {
          "name" : "toolbar_tbitem3",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "New"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem4",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Edit"
          },
          "uIActionTarget" : "SINGLEKEY",
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem5",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "View"
          },
          "uIActionTarget" : "SINGLEKEY",
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem6",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Copy"
          },
          "uIActionTarget" : "SINGLEKEY",
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem24",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "ToggleRowEdit"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem25",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "NewRow"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem8",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "uIActionTarget" : "MULTIKEY",
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem13",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "ExportExcel"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem11",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Print"
          },
          "uIActionTarget" : "MULTIKEY",
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem21",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "ExportModel"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem23",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Import"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem19",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "ToggleFilter"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_tbitem18",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Help"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_deuiaction1",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "SaveRow"
          },
          "xDataControlName" : "grid"
        }, {
          "name" : "toolbar_deuiaction2",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Import"
          },
          "xDataControlName" : "grid"
        } ],
        "getPSControls" : [ {
          "aggMode" : "NONE",
          "codeName" : "Main",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo/PSGRIDS/Main.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch"
          },
          "groupMode" : "NONE",
          "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
          "logicName" : "主表格",
          "getNavPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDEVIEWS/ReginfoUsr0301946956EditView3.json",
            "viewType" : "DEEDITVIEW3"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSAppViewLogics" : [ {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPVIEWUIACTION",
            "name" : "grid_uagridcolumn1_u479f517_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "表格界面_编辑操作"
            }
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPVIEWUIACTION",
            "name" : "grid_uagridcolumn1_ua98d563_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "表格界面_行编辑开关操作"
            }
          } ],
          "getPSAppViewUIActions" : [ {
            "name" : "表格界面_编辑操作",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Edit"
            },
            "uIActionTarget" : "SINGLEKEY",
            "xDataControlName" : "grid"
          }, {
            "name" : "表格界面_行编辑开关操作",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ToggleRowEdit"
            },
            "xDataControlName" : "grid"
          } ],
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlLogics" : [ {
            "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
            "logicTag" : "grid",
            "logicType" : "APPVIEWENGINE",
            "name" : "engine_grid",
            "getPSAppViewEngine" : {
              "modelref" : true,
              "id" : "engine"
            }
          } ],
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "GRID"
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "学员登记信息名称",
            "codeName" : "reginfoname",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "reginfoname",
            "excelCaption" : "学员登记信息名称",
            "name" : "reginfoname",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            },
            "width" : 100,
            "widthUnit" : "STAR",
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "学员编号",
            "codeName" : "stuno",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "stuno",
            "excelCaption" : "学员编号",
            "name" : "stuno",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "STUNO",
              "codeName" : "StuNo"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "学员姓名",
            "codeName" : "name",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "name",
            "excelCaption" : "学员姓名",
            "name" : "name",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "NAME",
              "codeName" : "Name"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "caption" : "年龄",
            "codeName" : "age",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "age",
            "excelCaption" : "年龄",
            "name" : "age",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "CENTER",
            "cLConvertMode" : "NONE",
            "caption" : "单位",
            "codeName" : "department",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "department",
            "excelCaption" : "单位",
            "name" : "department",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "RIGHT",
            "cLConvertMode" : "NONE",
            "caption" : "家庭住址",
            "codeName" : "address",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "address",
            "excelCaption" : "家庭住址",
            "name" : "address",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            },
            "width" : 180,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "RIGHT",
            "caption" : "操作",
            "codeName" : "uagridcolumn1",
            "columnType" : "UAGRIDCOLUMN",
            "name" : "uagridcolumn1",
            "noPrivDisplayMode" : 1,
            "getPSDEUIActionGroup" : {
              "codeName" : "A046596b6afb50f9e5b",
              "name" : "操作列",
              "getPSUIActionGroupDetails" : [ {
                "getCapPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TEXT.*.EDIT",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.EDIT]",
                  "refFlag" : true
                },
                "caption" : "编辑",
                "detailType" : "DEUIACTION",
                "name" : "u479f517",
                "getPSSysImage" : {
                  "imagePath" : "view/caption.svg"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "getCapPSLanguageRes" : {
                    "defaultContent" : "编辑",
                    "lanResTag" : "TBB.TEXT.*.EDIT",
                    "lanResType" : "TBB.TEXT",
                    "name" : "工具栏按钮文本[*.EDIT]",
                    "refFlag" : true
                  },
                  "caption" : "编辑",
                  "codeName" : "Edit",
                  "fullCodeName" : "Edit",
                  "name" : "表格界面_编辑操作",
                  "getPSSysImage" : {
                    "glyph" : "xf044@FontAwesome",
                    "cssClass" : "fa fa-edit"
                  },
                  "predefinedType" : "GRIDVIEW_EDITACTION",
                  "timeout" : 60000,
                  "getTooltipPSLanguageRes" : {
                    "defaultContent" : "编辑",
                    "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                    "lanResType" : "TBB.TOOLTIP",
                    "name" : "工具栏按钮提示[*.EDIT]",
                    "refFlag" : true
                  },
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Edit",
                  "uIActionType" : "DEUIACTION"
                },
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.EDIT]",
                  "refFlag" : true
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "行编辑",
                "detailType" : "DEUIACTION",
                "name" : "ua98d563",
                "getPSUIAction" : {
                  "caption" : "行编辑",
                  "codeName" : "ToggleRowEdit",
                  "fullCodeName" : "ToggleRowEdit",
                  "name" : "表格界面_行编辑开关操作",
                  "getPSSysImage" : {
                    "glyph" : "xf0ce@FontAwesome",
                    "cssClass" : "fa fa-table"
                  },
                  "predefinedType" : "GRIDVIEW_ROWEDITACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "ToggleRowEdit",
                  "uIActionType" : "DEUIACTION",
                  "enableToggleMode" : true
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : false
              } ],
              "uniqueTag" : "Reginfo__A046596b6afb50f9e5b"
            },
            "width" : 100,
            "widthUnit" : "STAR",
            "enableSort" : false
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "reginfoname",
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          }, {
            "dataType" : 25,
            "name" : "stuno",
            "getPSAppDEField" : {
              "name" : "STUNO",
              "codeName" : "StuNo"
            }
          }, {
            "dataType" : 25,
            "name" : "name",
            "getPSAppDEField" : {
              "name" : "NAME",
              "codeName" : "Name"
            }
          }, {
            "dataType" : 9,
            "name" : "age",
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            }
          }, {
            "dataType" : 25,
            "name" : "department",
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            }
          }, {
            "dataType" : 25,
            "name" : "address",
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "studentid",
            "getPSAppDEField" : {
              "name" : "STUDENTID",
              "codeName" : "StudentId"
            }
          }, {
            "dataType" : 25,
            "name" : "preginfoid",
            "getPSAppDEField" : {
              "name" : "PREGINFOID",
              "codeName" : "Preginfoid"
            }
          }, {
            "dataType" : 25,
            "name" : "preginfoid2",
            "getPSAppDEField" : {
              "name" : "PREGINFOID2",
              "codeName" : "Preginfoid2"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          } ],
          "getPSDEGridEditItemVRs" : [ {
            "checkMode" : 1,
            "name" : "编辑项值规则",
            "getPSDEFValueRule" : {
              "codeName" : "ValueRule2",
              "name" : "测试实体值规则",
              "getPSDEFVRGroupCondition" : {
                "condOp" : "AND",
                "condType" : "GROUP",
                "name" : "默认组",
                "getPSDEFVRConditions" : [ {
                  "condOp" : "EQ",
                  "condType" : "SIMPLE",
                  "dEFName" : "STUNO",
                  "name" : "[常规条件] 等于(=) 数据对象属性(testaaa)",
                  "paramType" : "ENTITYFIELD",
                  "paramValue" : "testaaa",
                  "ruleInfo" : "文本值为testaaa"
                } ],
                "ruleInfo" : "文本值为testaaa"
              },
              "ruleInfo" : "文本值为testaaa",
              "checkDefault" : false,
              "defaultMode" : false,
              "enableBackend" : true,
              "enableFront" : true
            },
            "getPSDEGridEditItemName" : "stuno",
            "valueRuleType" : "DEFVALUERULE"
          }, {
            "checkMode" : 3,
            "name" : "编辑项值规则",
            "getPSDEGridEditItemName" : "age",
            "getPSSysValueRule" : {
              "codeName" : "ValueRule4",
              "dynaModelFilePath" : "PSSYSVALUERULES/ValueRule4.json",
              "name" : "正整数",
              "regExCode" : "[0-9]*[1-9][0-9]*",
              "ruleInfo" : "内容必须为正整数",
              "ruleType" : "REG",
              "enableBackend" : true,
              "enableFront" : true
            },
            "valueRuleType" : "SYSVALUERULE"
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "学员编号",
            "codeName" : "stuno",
            "enableCond" : 0,
            "ignoreInput" : 0,
            "name" : "stuno",
            "getPSAppDEField" : {
              "name" : "STUNO",
              "codeName" : "StuNo"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "stuno"
            },
            "allowEmpty" : false
          }, {
            "caption" : "学员姓名",
            "codeName" : "name",
            "enableCond" : 1,
            "ignoreInput" : 0,
            "name" : "name",
            "getPSAppDEField" : {
              "name" : "NAME",
              "codeName" : "Name"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "name"
            },
            "allowEmpty" : true
          }, {
            "caption" : "年龄",
            "codeName" : "age",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "age",
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            },
            "getPSEditor" : {
              "editorType" : "NUMBER",
              "name" : "age"
            },
            "allowEmpty" : true
          }, {
            "caption" : "单位",
            "codeName" : "department",
            "enableCond" : 2,
            "ignoreInput" : 0,
            "name" : "department",
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            },
            "getPSEditor" : {
              "editorParams" : {
                "autosize" : "{\"minRows\":2,\"maxRows\":6}"
              },
              "editorType" : "TEXTAREA",
              "maxLength" : 100,
              "name" : "department",
              "showMaxLength" : true
            },
            "allowEmpty" : true
          }, {
            "caption" : "家庭住址",
            "codeName" : "address",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "address",
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "address"
            },
            "allowEmpty" : true
          }, {
            "caption" : "学员登记信息标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "REGINFOID",
              "codeName" : "ReginfoId"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "getPSNavigateContexts" : [ {
            "key" : "FORMITEM",
            "name" : "FORMITEM",
            "value" : "32123",
            "rawValue" : true
          }, {
            "key" : "FORMITEM1",
            "name" : "FORMITEM1",
            "value" : "reginfoname",
            "rawValue" : false
          }, {
            "key" : "EMPTY",
            "name" : "EMPTY",
            "rawValue" : true
          } ],
          "getPSNavigateParams" : [ {
            "key" : "formitem5",
            "name" : "formitem5",
            "value" : "age",
            "rawValue" : false
          }, {
            "key" : "formitem3",
            "name" : "formitem3",
            "value" : "21332513",
            "rawValue" : true
          }, {
            "key" : "empty",
            "name" : "empty",
            "rawValue" : true
          } ],
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
            }
          },
          "sortMode" : "REMOTE",
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : false,
          "enableRowEditOrder" : false,
          "enableRowNew" : false,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "grid",
          "modelid" : "79298f0344beee0b6f745936bb3a2fcd",
          "modeltype" : "PSDEGRID"
        }, {
          "codeName" : "Default",
          "controlType" : "SEARCHFORM",
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo/PSSEARCHFORMS/Default.json",
          "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
          "logicName" : "默认搜索表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionType" : "FILTERACTION",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGet"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterGetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            }, {
              "actionType" : "FILTERACTION",
              "name" : "search",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FilterSearch"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "搜索表单处理器"
          },
          "getPSControlLogics" : [ {
            "eventNames" : "SEARCH;LOAD;SAVE",
            "logicTag" : "searchform",
            "logicType" : "APPVIEWENGINE",
            "name" : "engine_searchform",
            "getPSAppViewEngine" : {
              "modelref" : true,
              "id" : "engine"
            }
          } ],
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "SEARCHFORM"
          },
          "getPSDEFormItems" : [ {
            "id" : "n_studentid_eq",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "STUDENTID",
              "codeName" : "StudentId"
            }
          }, {
            "id" : "n_reginfoname_like",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "REGINFONAME",
              "codeName" : "ReginfoName"
            }
          }, {
            "id" : "n_address_eq",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ADDRESS",
              "codeName" : "Address"
            }
          }, {
            "id" : "n_department_eq",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "DEPARTMENT",
              "codeName" : "DepartMent"
            }
          }, {
            "id" : "n_age_gtandeq",
            "dataType" : 9,
            "getPSAppDEField" : {
              "name" : "AGE",
              "codeName" : "Age"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "常规条件",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "caption" : "学生标识(等于(=))",
              "codeName" : "n_studentid_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_studentid_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "STUDENTID",
                "codeName" : "StudentId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "n_studentid_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true,
              "showCaption" : true
            }, {
              "caption" : "学员登记信息名称(文本包含(%))",
              "codeName" : "n_reginfoname_like",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_reginfoname_like",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "REGINFONAME",
                "codeName" : "ReginfoName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_reginfoname_like"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "家庭住址",
              "codeName" : "n_address_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_address_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "ADDRESS",
                "codeName" : "Address"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_address_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "单位",
              "codeName" : "n_department_eq",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_department_eq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "DEPARTMENT",
                "codeName" : "DepartMent"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_department_eq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "年龄",
              "codeName" : "n_age_gtandeq",
              "dataType" : 9,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "n_age_gtandeq",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "AGE",
                "codeName" : "Age"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "n_age_gtandeq"
              },
              "getPSLayoutPos" : {
                "colLG" : 8,
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : 8,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "searchButtonStyle" : "DEFAULT",
          "tabHeaderPos" : "TOP",
          "enableAdvanceSearch" : false,
          "enableAutoSearch" : false,
          "enableFilterSave" : false,
          "noTabHeader" : true,
          "name" : "searchform",
          "modelid" : "33c3311c3a8092371f63a2ee2b005ec4",
          "modeltype" : "PSDEFORM_SEARCHFORM"
        }, {
          "codeName" : "GridViewtoolbar",
          "controlType" : "TOOLBAR",
          "hookEventNames" : [ "CLICK" ],
          "logicName" : "工具栏模板（默认表格界面）",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlLogics" : [ {
            "eventArg" : "tbitem3",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem3_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem3_click"
            }
          }, {
            "eventArg" : "tbitem4",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem4_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem4_click"
            }
          }, {
            "eventArg" : "tbitem5",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem5_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem5_click"
            }
          }, {
            "eventArg" : "tbitem6",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem6_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem6_click"
            }
          }, {
            "eventArg" : "tbitem24",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem24_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem24_click"
            }
          }, {
            "eventArg" : "tbitem25",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem25_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem25_click"
            }
          }, {
            "eventArg" : "tbitem8",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem8_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem8_click"
            }
          }, {
            "eventArg" : "tbitem13",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem13_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem13_click"
            }
          }, {
            "eventArg" : "tbitem11",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem11_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem11_click"
            }
          }, {
            "eventArg" : "tbitem21",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem21_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem21_click"
            }
          }, {
            "eventArg" : "tbitem23",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem23_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem23_click"
            }
          }, {
            "eventArg" : "tbitem19",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem19_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem19_click"
            }
          }, {
            "eventArg" : "tbitem18",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem18_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem18_click"
            }
          }, {
            "eventArg" : "deuiaction1",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_deuiaction1_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1_click"
            }
          }, {
            "eventArg" : "deuiaction2",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_deuiaction2_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction2_click"
            }
          } ],
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "defaultContent" : "新建",
              "lanResTag" : "TBB.TEXT.*.NEW",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.NEW]",
              "refFlag" : true
            },
            "caption" : "新建",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem3"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TEXT.*.NEW",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.NEW]",
                "refFlag" : true
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TOOLTIP.*.NEW",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.NEW]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "tooltip" : "新建",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "新建",
              "lanResTag" : "TBB.TOOLTIP.*.NEW",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.NEW]",
              "refFlag" : true
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EDIT]",
              "refFlag" : true
            },
            "caption" : "编辑",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem4",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem4"
            },
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TEXT.*.EDIT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EDIT]",
                "refFlag" : true
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EDIT]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "编辑",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EDIT]",
              "refFlag" : true
            },
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "拷贝",
              "lanResTag" : "TBB.TEXT.*.COPY",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.COPY]",
              "refFlag" : true
            },
            "caption" : "拷贝",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem6",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem6"
            },
            "getPSSysImage" : {
              "glyph" : "xf0c5@FontAwesome",
              "cssClass" : "fa fa-copy"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "拷贝",
                "lanResTag" : "TBB.TEXT.*.COPY",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.COPY]",
                "refFlag" : true
              },
              "caption" : "拷贝",
              "codeName" : "Copy",
              "fullCodeName" : "Copy",
              "name" : "表格界面_拷贝操作",
              "getPSSysImage" : {
                "glyph" : "xf0c5@FontAwesome",
                "cssClass" : "fa fa-copy"
              },
              "predefinedType" : "GRIDVIEW_COPYACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "拷贝",
                "lanResTag" : "TBB.TOOLTIP.*.COPY",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.COPY]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Copy",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "拷贝",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "拷贝",
              "lanResTag" : "TBB.TOOLTIP.*.COPY",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.COPY]",
              "refFlag" : true
            },
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem7",
            "spanMode" : false
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TEXT.*.REMOVE",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.REMOVE]",
              "refFlag" : true
            },
            "caption" : "删除",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem8",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem8"
            },
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TEXT.*.REMOVE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.REMOVE]",
                "refFlag" : true
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.REMOVE]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "删除",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.REMOVE]",
              "refFlag" : true
            },
            "uIActionTarget" : "MULTIKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem9",
            "spanMode" : false
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "导出",
              "lanResTag" : "TBB.TEXT.*.EXPORT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EXPORT]",
              "refFlag" : true
            },
            "caption" : "导出",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem13",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem13"
            },
            "getPSSysImage" : {
              "glyph" : "xf1c3@FontAwesome",
              "cssClass" : "fa fa-file-excel-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "defaultContent" : "导出",
                "lanResTag" : "TBB.TEXT.*.EXPORT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EXPORT]",
                "refFlag" : true
              },
              "caption" : "导出",
              "codeName" : "ExportExcel",
              "fullCodeName" : "ExportExcel",
              "name" : "表格界面_导出操作（Excel）",
              "getPSSysImage" : {
                "glyph" : "xf1c3@FontAwesome",
                "cssClass" : "fa fa-file-excel-o"
              },
              "predefinedType" : "GRIDVIEW_EXPORTACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "导出",
                "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EXPORT]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "ExportExcel",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "导出",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "导出",
              "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EXPORT]",
              "refFlag" : true
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem10",
            "spanMode" : false
          }, {
            "caption" : "其它",
            "itemType" : "ITEMS",
            "name" : "tbitem16",
            "getPSDEToolbarItems" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
                "lanResType" : "MENUITEM.CAPTION",
                "name" : "菜单项文本[*.EXPORTSRF]",
                "refFlag" : true
              },
              "caption" : "导出数据模型test",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem21",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem21"
              },
              "getPSSysImage" : {
                "glyph" : "xf019@FontAwesome",
                "cssClass" : "fa fa-download"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF",
                  "lanResType" : "MENUITEM.CAPTION",
                  "name" : "菜单项文本[*.EXPORTSRF]",
                  "refFlag" : true
                },
                "caption" : "导出数据模型",
                "codeName" : "ExportModel",
                "fullCodeName" : "ExportModel",
                "name" : "表格界面_导出数据模型",
                "getPSSysImage" : {
                  "glyph" : "xf019@FontAwesome",
                  "cssClass" : "fa fa-download"
                },
                "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "ExportModel",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "导出数据模型test",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "数据导入",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem23",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem23"
              },
              "getPSSysImage" : {
                "glyph" : "xf093@FontAwesome",
                "cssClass" : "fa fa-upload"
              },
              "getPSUIAction" : {
                "caption" : "数据导入",
                "codeName" : "Import",
                "fullCodeName" : "Import",
                "name" : "表格界面_数据导入栏",
                "getPSSysImage" : {
                  "glyph" : "xf093@FontAwesome",
                  "cssClass" : "fa fa-upload"
                },
                "predefinedType" : "GRIDVIEW_IMPORTBAR",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "Import",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "数据导入",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "tooltip" : "其它",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem17",
            "spanMode" : false
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "查找",
              "lanResTag" : "TBB.TEXT.*.FILTER",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.FILTER]",
              "refFlag" : true
            },
            "caption" : "过滤",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem19",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem19"
            },
            "getPSSysImage" : {
              "glyph" : "xf0b0@FontAwesome",
              "cssClass" : "fa fa-filter"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "defaultContent" : "查找",
                "lanResTag" : "TBB.TEXT.*.FILTER",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.FILTER]",
                "refFlag" : true
              },
              "caption" : "过滤",
              "codeName" : "ToggleFilter",
              "fullCodeName" : "ToggleFilter",
              "name" : "表格界面_搜索栏",
              "getPSSysImage" : {
                "glyph" : "xf0b0@FontAwesome",
                "cssClass" : "fa fa-filter"
              },
              "predefinedType" : "GRIDVIEW_SEARCHBAR",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "查找",
                "lanResTag" : "TBB.TOOLTIP.*.FILTER",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.FILTER]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "ToggleFilter",
              "uIActionType" : "DEUIACTION",
              "enableToggleMode" : true
            },
            "tooltip" : "过滤",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "查找",
              "lanResTag" : "TBB.TOOLTIP.*.FILTER",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.FILTER]",
              "refFlag" : true
            },
            "enableToggleMode" : true,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "帮助",
              "lanResTag" : "TBB.TEXT.*.HELP",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.HELP]",
              "refFlag" : true
            },
            "caption" : "帮助",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem18",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem18"
            },
            "getPSSysImage" : {
              "glyph" : "xf128@FontAwesome",
              "cssClass" : "fa fa-question"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "defaultContent" : "帮助",
                "lanResTag" : "TBB.TEXT.*.HELP",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.HELP]",
                "refFlag" : true
              },
              "caption" : "帮助",
              "codeName" : "Help",
              "fullCodeName" : "Help",
              "name" : "表格界面_帮助操作",
              "getPSSysImage" : {
                "glyph" : "xf128@FontAwesome",
                "cssClass" : "fa fa-question"
              },
              "predefinedType" : "GRIDVIEW_HELPACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "帮助",
                "lanResTag" : "TBB.TOOLTIP.*.HELP",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.HELP]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Help",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "帮助",
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "帮助",
              "lanResTag" : "TBB.TOOLTIP.*.HELP",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.HELP]",
              "refFlag" : true
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "数据导入",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction2",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction2"
            },
            "getPSSysImage" : {
              "glyph" : "xf093@FontAwesome",
              "cssClass" : "fa fa-upload"
            },
            "getPSUIAction" : {
              "caption" : "数据导入",
              "codeName" : "Import",
              "fullCodeName" : "Import",
              "name" : "表格界面_数据导入栏",
              "getPSSysImage" : {
                "glyph" : "xf093@FontAwesome",
                "cssClass" : "fa fa-upload"
              },
              "predefinedType" : "GRIDVIEW_IMPORTBAR",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Import",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "数据导入",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "xDataControlName" : "grid",
          "modelid" : "b912ff540f5614f63914a38067d84728",
          "modeltype" : "PSDETOOLBAR"
        } ],
        "getPSDEViewCodeName" : "GridView",
        "getPSDEViewId" : "e3a9486fbdbfab97a8d40b9cca640bb9",
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEGRIDVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
          },
          "getPSControlParam" : { },
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "refFlag" : false,
        "title" : "学员登记信息表格视图",
        "viewStyle" : "DEFAULT",
        "viewType" : "DEGRIDVIEW",
        "xDataControlName" : "grid",
        "enableDP" : true,
        "enableExport" : true,
        "enableFilter" : true,
        "enableImport" : true,
        "enableQuickSearch" : true,
        "enableRowEdit" : false,
        "enableSearch" : true,
        "rowEditDefault" : false,
        "modelid" : "517908e769334bf3e17d75b17cf3c143",
        "modeltype" : "PSAPPDEVIEW"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "height" : 500,
        "heightMode" : "PX",
        "layout" : "TABLE_24COL",
        "width" : 1000,
        "widthMode" : "PX"
      },
      "getPSNavigateContexts" : [ {
        "key" : "CONTEXTPARAM2",
        "name" : "CONTEXTPARAM2",
        "value" : "eeeee",
        "rawValue" : true
      }, {
        "key" : "CONTEXTPARAM1",
        "name" : "CONTEXTPARAM1",
        "value" : "student",
        "rawValue" : false
      } ],
      "getPSNavigateParams" : [ {
        "key" : "query",
        "name" : "query",
        "value" : "xx",
        "rawValue" : true
      }, {
        "key" : "param1",
        "name" : "param1",
        "value" : "studentname",
        "rawValue" : false
      } ],
      "parentDataJO" : {
        "srfparentdefname" : "STUDENTID",
        "srfparentdename" : "STUDENT",
        "SRFPARENTTYPE" : "DER1N",
        "srfparentmode" : "DER1N_REGINFO_STUDENT_STUDENTID",
        "SRFDER1NID" : "DER1N_REGINFO_STUDENT_STUDENTID"
      },
      "refreshItems" : "studentname;field2;",
      "width" : 1000.0,
      "needSave" : false,
      "refreshItemsSetParamOnly" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "分组面板",
      "codeName" : "grouppanel1",
      "contentHeight" : 484.0,
      "contentWidth" : 684.0,
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "height" : 500.0,
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "codeName" : "rawitem1",
        "contentType" : "RAW",
        "detailStyle" : "DEFAULT",
        "detailType" : "RAWITEM",
        "name" : "rawitem1",
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 100,
          "heightMode" : "PX",
          "layout" : "FLEX",
          "width" : 300,
          "widthMode" : "PX"
        },
        "getPSRawItem" : {
          "caption" : "测试直接内容11111111111111111",
          "contentType" : "RAW",
          "name" : "rawitem1",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0
        },
        "rawContent" : "测试直接内容11111111111111111",
        "rawItemHeight" : -1.0,
        "rawItemWidth" : -1.0,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "分组面板",
        "codeName" : "grouppanel2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel2",
        "getPSDEFormDetails" : [ {
          "caption" : "学生名称",
          "codeName" : "studentname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "studentname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "STUDENTNAME",
            "codeName" : "StudentName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "studentname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "height" : 100,
            "heightMode" : "PX",
            "layout" : "TABLE_24COL",
            "width" : 200,
            "widthMode" : "PX"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "actionType" : "UIACTION",
          "caption" : "刷新",
          "codeName" : "button1",
          "detailStyle" : "DEFAULT",
          "detailType" : "BUTTON",
          "name" : "button1",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "form_button1"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "height" : 100,
            "heightMode" : "PX",
            "layout" : "TABLE_24COL",
            "width" : 100,
            "widthMode" : "PX"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "刷新",
            "codeName" : "Refresh",
            "fullCodeName" : "Refresh",
            "name" : "编辑界面_刷新操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "EDITVIEW_REFRESHACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Refresh",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "uIActionTarget" : "SINGLEKEY",
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "height" : 400,
          "heightMode" : "PX",
          "layout" : "FLEX",
          "width" : 300,
          "widthMode" : "PX"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "align" : "flex-start",
        "dir" : "column",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "height" : 500,
        "heightMode" : "PX",
        "layout" : "TABLE_24COL",
        "width" : 700,
        "widthMode" : "PX"
      },
      "width" : 700.0,
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : false,
  "modelid" : "558d4f42147c9dd9f2fe4c70cac70cd8",
  "modeltype" : "PSDEFORM_EDITFORM"
}